Overview

The Windows Media Encoder Template wizard allows you to create your own templates for encoding .asf and .wma streaming media files.

Creating a template consists of five steps:

  1. Setting a name and description for the template [image] .

  2. Specifying the type of stream [image] .

  3. Specifying bandwidth for the stream [image] .

  4. Selecting audio resampling parameters [image] .

  5. Selecting a codec and codec format [image] .


Windows Media Services Encoder Template

Template name

The Template name field assigns a unique name to an encoding template.

Description

The Description field displays a short summary of the type of encoding for which the selected template should be used.


Stream Type

Use multiple bit rate video

Select Use multiple bit rate video to create multiple video streams within one encoded .asf file. The streams are encoded at different target bandwidths to allow a player to render content when network bandwidth is reduced. Using multiple-bit-rate video requires an encoding platform that has at least a Pentium II processor running at 266 megahertz (MHz).

Multiple-bit-rate video content can only be accurately decoded by Windows Media Player 3.0 and Windows Media Server 3.0 or higher.

Single bit rate video

Select Single bit rate video if you want to template to create a single video stream or an audio-only stream. The stream is encoded to target a specific bandwidth.

Single-stream content can be streamed from any Web server.


Bandwidth

Select the bandwidth you want to use to encode your media. If you selected Use multiple bit rate video, you can select multiple bandwidths.

Internet 14.4 (10 kbps actual)

This bandwidth selection supports streaming of both audio and video content to clients using a network connection that operates at a minimum of 14.4 Kbps.

Internet 28.8 (22 kbps actual)

This bandwidth selection supports streaming of both audio and video content to clients using a network connection that operates at a minimum of 28.8 Kbps.

Internet 56 Modem (37 kbps actual)

This bandwidth selection support streaming of both audio and video content to clients using a modem network connection that operates at 56 Kbps.

Single Channel ISDN (50 kbps actual)

This bandwidth selection supports network connections at Integrated Services Digital Network (ISDN) rates.

Intranet (100 kbps actual)

This bandwidth selection supports clients on an intranet or local area network (LAN).

Custom (bps)

This bandwidth selection is for users whose system requires a customized bandwidth setting, such as those using a dedicated network that does not use one of the preceding bandwidths.

When specifying the bit rate, consider other traffic that must pass over the network. Unlike the pre-configured bandwidth settings, Microsoft Windows Media Encoder uses the entire bandwidth you specify for streaming ASF information. Note that this value is entered in bits per second, rather than kilobits per second.


Audio Resampling

Resample prior to encode

When this check box is selected, the audio component of your media file will be resampled using Sonic Foundry’s algorithms. Resample before encoding if your source material uses nonstandard sample rates or if you want to use a specific sample rate in your encoded audio.

Resample rate

Click the down arrow to the right of the Resample rate drop-down list and select a new sampling rate. The resample rate should match the codec format specified on the Audio and Video Codec page to reduce the possibility that the codec will resample your audio again.

High sampling rates produce high-quality audio, but can result in stuttering audio with low-speed Internet connections. When the check box is cleared, codecs resample audio using default resampling algorithms.


Audio and Video Codec Options

Audio panel

Because some audio codecs have multiple formats, the Audio panel has options for the codec and its format. Use the Codec drop-down list to select an audio codec. If the codec has multiple formats, use the Format drop-down list to select the amount or type of compression.

The format of a codec is the sampling rate (in kilohertz [KHz] or hertz [Hz]) and sample depth (in bits). The larger the sampling rate and sample depth, the more information is recorded. When more information is recorded, the audio content usually sounds better; however, the audio portion of the total bandwidth allocated also is larger. Remember that the audio file must share the bandwidth with any video or script commands.

Video panel

Select the Use Video check box if the template will be used to encode video content. Choose a video codec from the Codec drop-down list. Be sure to select a codec that can share the bandwidth with the audio codec you have chosen.

Advanced Video Settings


Advanced Video Settings

To adjust advanced video settings, such as the size of the window for Windows Media Player, the number of frames per second, and the number of I-frames, click the Advanced button.

Image size

To determine the height and width of the streaming media content when it is viewed, use the Image Size panel. Quarter Common Interface format (QCIF) and Common Interface format (CIF) are predefined image standards: notice that CIF height and width are exactly double those of QCIF. These standards are provided because their image size (both height and width) is a standard that is supported by many codecs and video editing tools. The 160x130 and 320x240 options provide video windows that are slightly smaller than QCIF and CIF, respectively. The slight decrease in image size allows for more bandwidth to be used for video frames, and can improve content quality in some scenarios. Use these options if video sharpness is more important than video size for your content.

Use Custom to define your own image size. When resizing an ASF stream with the Custom setting, be aware that many codecs require image size settings in multiples of 16.

Frames/Second

To set the number of frames per second for the media stream, use the Frames/Second dialog box. The Frames/Second value can be set from 1 through 15. How much you adjust this value depends on the speed of the computer’s coprocessor, and whether the computer is encoding high-movement or low-movement video. If more frames per second are used, there are smaller changes between frames, and the video looks smoother. If fewer frames per second are used, the video has a slower motion transition rate, and thus video with a lot of motion can appear disjointed. However, the more frames per second your computer is required to encode, the harder the coprocessor must work. It is possible to overwork your coprocessor by requesting it to encode more action than its capability allows. If this happens, Windows Media Encoder stops encoding, and displays a message.

Second/I-Frame

The Second/ I-frames dialog box displays the number of seconds that separate I-frames. All frames in between I-frames are called delta frames. Delta frames contain only the information used to display change, and are considerably smaller than I-frames; however, the visual quality of delta frames is poor. As I-frames get farther apart, the size of the video (in bytes) gets smaller. As I-frames get closer together, the size of the video (in bytes) gets larger, and the computer’s coprocessor must work harder.

Pixel Format

The Pixel Format displays the color depth standard that has been selected. The video card that the computer is using to receive the video source has certain color standards that it can display best, for example, RGBH = 64k thousand colors and RGBT = 16 million colors. For information about which pixel format your card works best with, see the video card’s documentation. The pixel format is set automatically for the preferred video cards when you select one of the template stream formats.

Delay Buffer

The Delay Buffer is the amount of video coming in from the video card (measured in seconds) that Windows Media Encoder stores before it starts transmitting streaming media information. Five seconds is the default; it allows enough information to build up so that the client doesn’t have to wait, (that is, buffer information) and the Windows Media Encoder computer’s memory isn’t overloaded with delayed information. Increasing the Delay Buffer can overload the Windows Media Encoder computer’s memory, and affect the computer’s ability to encode information. Decreasing the Delay Buffer, in some circumstances, can cause clients to wait on Windows Media Encoder.

Image Quality

The Image Quality slider lets you fine-tune either the image quality. You can emphasize either video smoothness or image crispness. Video content is smooth when movement shown on the screen has easy transition from one position to another and the edges of objects are not jagged. Video content is crisp when images and motion are well defined and clearly delineated. As you increase the image crispness, the video becomes less smooth. In some cases decreasing the image crispness makes the video look better.